From 2a6bceea6c50d15b4739fe273101d5d8689e0b6a Mon Sep 17 00:00:00 2001
From: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Date: Thu, 1 Sep 2016 14:46:51 +0200
Subject: infra: Fix small doc/script issues and enable mail notification

This change
- Fixes readme of puppet-infracloud
- renames destroy_env.sh script
- enables mail notification
- disables removal of DIB images by default

Change-Id: I628b26b976e38772cbbc69b737a545fe801639ba
Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
---
 bifrost/README.md              |  2 +-
 bifrost/scripts/destroy-env.sh | 42 ++++++++++++++++++++++++++++++++++++++++++
 bifrost/scripts/destroy_env.sh | 38 --------------------------------------
 3 files changed, 43 insertions(+), 39 deletions(-)
 create mode 100755 bifrost/scripts/destroy-env.sh
 delete mode 100755 bifrost/scripts/destroy_env.sh

(limited to 'bifrost')

diff --git a/bifrost/README.md b/bifrost/README.md
index fffd1de3..f50ffb21 100644
--- a/bifrost/README.md
+++ b/bifrost/README.md
@@ -24,7 +24,7 @@ Please follow that steps:
 5. Run destroy script if you need to cleanup previous environment::
 
     cd /opt/bifrost
-    ./scripts/destroy_env.sh
+    ./scripts/destroy-env.sh
 
 6. Run deployment script to spin up 3 vms with bifrost: jumphost, controller and compute::
 
diff --git a/bifrost/scripts/destroy-env.sh b/bifrost/scripts/destroy-env.sh
new file mode 100755
index 00000000..4dffee62
--- /dev/null
+++ b/bifrost/scripts/destroy-env.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 RedHat and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+virsh destroy jumphost.opnfvlocal || true
+virsh destroy controller00.opnfvlocal || true
+virsh destroy compute00.opnfvlocal || true
+virsh undefine jumphost.opnfvlocal || true
+virsh undefine controller00.opnfvlocal || true
+virsh undefine compute00.opnfvlocal || true
+
+service ironic-conductor stop
+
+echo "removing from database"
+mysql -u root ironic --execute "truncate table ports;"
+mysql -u root ironic --execute "delete from node_tags;"
+mysql -u root ironic --execute "delete from nodes;"
+mysql -u root ironic --execute "delete from conductors;"
+echo "removing leases"
+> /var/lib/dnsmasq/dnsmasq.leases
+echo "removing logs"
+rm -rf /var/log/libvirt/baremetal_logs/*.log
+
+# clean up dib images only if requested explicitly
+if [ $CLEAN_DIB_IMAGES = "true" ]; then
+    rm -rf /httpboot/*
+    rm -rf /tftpboot/*
+fi
+
+# remove VM disk images
+rm -rf /var/lib/libvirt/images/*.qcow2
+
+echo "restarting services"
+service libvirtd restart
+service ironic-api restart
+service ironic-conductor start
+service ironic-inspector restart
diff --git a/bifrost/scripts/destroy_env.sh b/bifrost/scripts/destroy_env.sh
deleted file mode 100755
index 819048b5..00000000
--- a/bifrost/scripts/destroy_env.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash
-# SPDX-license-identifier: Apache-2.0
-##############################################################################
-# Copyright (c) 2016 RedHat and others.
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-virsh destroy jumphost.opnfvlocal || true
-virsh destroy controller00.opnfvlocal || true
-virsh destroy compute00.opnfvlocal || true
-virsh undefine jumphost.opnfvlocal || true
-virsh undefine controller00.opnfvlocal || true
-virsh undefine compute00.opnfvlocal || true
-
-service ironic-conductor stop
-
-echo "removing from database"
-mysql -u root ironic --execute "truncate table ports;"
-mysql -u root ironic --execute "delete from node_tags;"
-mysql -u root ironic --execute "delete from nodes;"
-mysql -u root ironic --execute "delete from conductors;"
-echo "removing leases"
-> /var/lib/dnsmasq/dnsmasq.leases
-echo "removing logs"
-rm -rf /var/log/libvirt/baremetal_logs/*.log
-
-# clean up images
-rm -rf /httpboot/*
-rm -rf /tftpboot/*
-rm -rf /var/lib/libvirt/images/*.qcow2
-
-echo "restarting services"
-service libvirtd restart
-service ironic-api restart
-service ironic-conductor start
-service ironic-inspector restart
-- 
cgit